package gp_dbc.system;

import JinRyuu.JRMCore.JRMCoreH;
import cpw.mods.fml.common.eventhandler.SubscribeEvent;
import cpw.mods.fml.common.gameevent.TickEvent;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import gp_dbc.Main;
import gp_dbc.config.ConfigManager;
import gp_dbc.utils.EntityUtils;
import gp_dbc.utils.PlayerUtils;
import net.minecraft.entity.Entity;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.server.MinecraftServer;
import net.minecraft.util.ChatComponentText;
import net.minecraft.util.EnumChatFormatting;
import net.minecraft.world.World;
import org.lwjgl.Sys;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

import static gp_dbc.config.ConfigManager.*;

public class Handcuff {

    // UUID~StartTimeHandcuffed
    @SideOnly(Side.SERVER)
    public static HashMap<UUID, Long>handcuffed = new HashMap<UUID, Long>();

    int tick = 0;
    final int SLOWTICK_MAX = 20;//2000;

    @SideOnly(Side.SERVER)
    @SubscribeEvent
    public void checkTimeJailer(TickEvent.ServerTickEvent event) {
        if (handcuffed.isEmpty())
            return;

        if (tick >= SLOWTICK_MAX) {
            tick = 0;

            for (UUID uuid : handcuffed.keySet()) {
                long timeStart = handcuffed.get(uuid);


            }
        }
        else
            tick++;
    }

    @SideOnly(Side.SERVER)
    public static boolean putHandcuff(EntityPlayer jailer, EntityPlayer inmate) {
        if (handcuffed.get(inmate.getUniqueID()) != null) {
            jailer.addChatMessage(new ChatComponentText(EnumChatFormatting.RED + ERROR_ALREADY_HANDCUFFED));
            return false;
        }
        handcuffed.put(inmate.getUniqueID(), System.currentTimeMillis());
        jailer.addChatMessage(new ChatComponentText(EnumChatFormatting.GREEN + SUCCESS_YOU_HANDCUFFED_HIM));

        int time_pos = SUCCESS_YOU_ARE_HANDCUFFED.indexOf("%%");
        String first = SUCCESS_YOU_ARE_HANDCUFFED.substring(0, time_pos);
        String second = SUCCESS_YOU_ARE_HANDCUFFED.substring(time_pos);
        inmate.addChatMessage(new ChatComponentText(EnumChatFormatting.RED + first + TIME_TO_GO_IN_JAIL + second));
        return true;
    }

    @SideOnly(Side.SERVER)
    public static boolean isHandcuffed(EntityPlayer player) {
        return handcuffed.containsKey(player.getUniqueID());
    }
}
